﻿Imports System.Data
Imports System.Linq
Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(1) {New DataColumn("Item"), New DataColumn("Price")})
            dt.Rows.Add("Shirt", 450)
            dt.Rows.Add("Jeans", 3200)
            dt.Rows.Add("Trousers", 1900)
            dt.Rows.Add("Tie", 185)
            dt.Rows.Add("Cap", 100)
            dt.Rows.Add("Hat", 120)
            dt.Rows.Add("Scarf", 290)
            dt.Rows.Add("Belt", 150)
            ViewState("dt") = dt
            BindGrid()
        End If
    End Sub
    Protected Sub BindGrid()
        GridView1.DataSource = TryCast(ViewState("dt"), DataTable)
        GridView1.DataBind()
    End Sub
    Protected Sub OnRowDeleting(sender As Object, e As GridViewDeleteEventArgs)
        Dim index As Integer = Convert.ToInt32(e.RowIndex)
        Dim dt As DataTable = TryCast(ViewState("dt"), DataTable)
        dt.Rows(index).Delete()
        ViewState("dt") = dt
        BindGrid()
    End Sub
    Protected Sub OnRowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            Dim item As String = e.Row.Cells(0).Text
            For Each button As Button In e.Row.Cells(2).Controls.OfType(Of Button)()
                If button.CommandName = "Delete" Then
                    button.Attributes("onclick") = "if(!confirm('Do you want to delete " + item + "?')){ return false; };"
                End If
            Next
        End If
    End Sub

End Class

